Refresh Remote Artifact

POST
/v1/nodes/{node_id}/remote-artifacts/refresh

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

node_id*Node Id

Request Body

application/json
  1. body
cache_ttl_seconds?Cache Ttl Seconds
Default60
force_refresh?Force Refresh
Defaultfalse
remote_artifact_id*Remote Artifact Id
row_id*Row Id
rows_path*Rows Path
title*Title
url*Url

Response Body

Successful Response

application/json
  1. response
remote_artifact*
[key: string]?any
Example Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/remote-artifacts/refresh' \  -H 'Content-Type: application/json' \  -d '{  "remote_artifact_id": "string",  "row_id": "string",  "rows_path": "string",  "title": "string",  "url": "string"}'
Example Response
{  "remote_artifact": {    "artifact": {},    "artifact_id": "string",    "artifact_type": "string",    "remote_artifact_expires_at": "string",    "remote_artifact_fetched_at": "string",    "remote_error": "string",    "remote_status": "fresh"  }}